%define PYVER 2.6
%global python_ver %(/usr/bin/python%{PYVER} -c "import sys ; print sys.version[:3]")
%global python_sitelib  %(/usr/bin/python%{PYVER} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%global python_sitearch %(/usr/bin/python%{PYVER} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Library providing the FAM File Alteration Monitor API
Name:		gamin
Version:	0.1.10
Release:	2
Provides:	fam
Obsoletes:	fam
License:	GNU/GPL	
URL:		http://www.gnome.org/~veillard/gamin/index.html
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
BuildRequires: 	python26-devel

#Automatically resolved build dependencies
BuildRequires: coreutils
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: pkg-config

%description
This C library provides an API and ABI compatible file alteration
monitor mechanism compatible with FAM but not dependent on a system wide
daemon.

%package devel
Summary: 	Libraries, includes, etc. to embed the Gamin library
Group: 		Development/Libraries
Requires: 	gamin = %{version}-%{release}
Obsoletes: 	fam-devel
Provides: 	fam-devel

%description devel
This C library provides an API and ABI compatible file alteration
monitor mechanism compatible with FAM but not dependent on a system wide
daemon.

%package python
Summary: 	Python bindings for the gamin library
Group: 		Development/Libraries
Requires: 	gamin = %{version}-%{release}

%description python
The gamin-python package contains a module that allow monitoring of
files and directories from the Python language based on the support
of the gamin package.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q

%build
%configure --with-threads --libexecdir=%_libdir/gamin --with-python=/usr/bin/python%PYVER --disable-debug
make %{?_smp_mflags}

%install
rm -fr %{buildroot}

make install DESTDIR=%{buildroot}

# strip debug symbols from binaries
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README Copyright TODO
%{_libdir}/libfam.so.*
%{_libdir}/libgamin-1.so.*
%{_libdir}/gamin/gam_server

%files devel
%defattr(-, root, root)
%{_libdir}/libfam.a
%{_libdir}/libgamin-1.a
%{_libdir}/libfam.la
%{_libdir}/libgamin-1.la
%{_libdir}/libfam.so
%{_libdir}/libgamin-1.so
%{_libdir}/libgamin_shared.a
%{_includedir}/fam.h
%{_pkgconfig}/gamin.pc

%files python
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README Copyright TODO
%{python_sitearch}/gamin.py*
%{python_sitearch}/_gamin*
%doc python/tests/*.py
%doc doc/python.html

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Aug 25 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.1.10-2
- rebuilt
* Wed Feb 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.1.10-1
- Version update
- python 2.6
* Wed Jan 09 2008 Christian Metzen <metzench@ccux-linux.de> 0.1.9-2
- moved libexecdir
* Fri Aug 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.1.9-1
- Version update
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 0.1.8-1
- Version update
* Mon Sep 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.1.7-4
- gamin replaces fam
* Thu Sep 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.1.7-3
- rebuilt against python 2.5
* Sun Feb 04 2006 Christian Wasem <wasem@ccux-linux.de> 0.1.7-2
- moving more files to devel package
* Thu Feb 02 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.1.7-1
- Initial Release
